-----------------------------------------------------------------------------
--  Tabard Addict Settings Data - TabardAddictSettings.lua
--
-- This file is used to contain data relating to the settings for the addon.
--
--  (c) 2011-2024 gmz323(Greg)
-----------------------------------------------------------------------------

-- Localized Strings
local L = TabardAddictLocalization

-- TOOLTIPS 
taSettingsTooltips = {
	CheckButtonAO = L.CONFIG_TT_AO,
	CheckButtonHO = L.CONFIG_TT_HO,
	CheckButtonSuggAch = L.CONFIG_TT_SUGG_ACH,
	CheckButtonSuggQst = L.CONFIG_TT_SUGG_QST,
	CheckButtonSuggCur = L.CONFIG_TT_SUGG_CUR,
	CheckButtonPVP = L.CONFIG_TT_PVP,
	CheckButtonTCG = L.CONFIG_TT_TCG,
	CheckButtonNA = L.CONFIG_TT_NA,
	CheckButtonOther = L.CONFIG_TT_OTHER,
}

-- Expansions in Dropdown
taConfigExpansionsInfo = {
	{ ["text"] = EXPANSION_NAME1,   ["arg1"] = "CB_BCF",  },
	{ ["text"] = EXPANSION_NAME2,   ["arg1"] = "CB_WotLKF",  },
	{ ["text"] = EXPANSION_NAME3,   ["arg1"] = "CB_CF",  },
	{ ["text"] = EXPANSION_NAME4,   ["arg1"] = "CB_MOPF",  },
	{ ["text"] = EXPANSION_NAME5,   ["arg1"] = "CB_WOD",  },
	{ ["text"] = EXPANSION_NAME6,   ["arg1"] = "CB_LG",  },
	{ ["text"] = EXPANSION_NAME7,   ["arg1"] = "CB_BFA",  },
	{ ["text"] = EXPANSION_NAME8,   ["arg1"] = "CB_SLANDS",  },
	{ ["text"] = EXPANSION_NAME9,   ["arg1"] = "CB_DFLIGHT",  },
}

-- DEFAULTS for each setting - saved per character
-- NOTE: EVERY global must exist in this table.
taSettingsDefaults = 
{
	CB_AO = true,
	CB_HO = true,

	CB_PVP = true,
	CB_TCG = true,
	CB_NA = true,
	CB_Other = true,
	
	CB_BCF = true,
	CB_WotLKF = true,
	CB_CF = true,
	CB_MOPF = true,
	CB_WOD = true,
	CB_LG = true,
	CB_BFA = true,
	CB_SLANDS = true,
	CB_DFLIGHT = true,
	
	CB_SUGG_ACH = true,
	CB_SUGG_QST = true,
	CB_SUGG_CUR = true,
	
	CB_INFO_EQUIP = true,
	
	CB_FILTER_EQYES = true,
	CB_FILTER_EQNO = true,
	CB_FILTER_NTBG = true,
}
